<?xml version="1.0" encoding="utf-8"?>
<CaR>
<Macro Name="BiconcaveLense">
<Parameter name="optische Achse">optische Achse</Parameter>
<Parameter name="optischer Mittelpunkt">optischer Mittelpunkt</Parameter>
<Parameter name="Brennpunkt">Brennpunkt</Parameter>
<Parameter name="D">D</Parameter>
<Objects>
<Line name="optische Achse" n="0" mainparameter="true">???</Line>
<Point name="optischer Mittelpunkt" n="1" mainparameter="true" x="0.3606599914092216" y="0.0">Punkt in 0.36066, 0.0</Point>
<Plumb name="l1" n="2" hidden="super" point="optischer Mittelpunkt" line="optische Achse" valid="true">Lot durch optischer Mittelpunkt zu optische Achse</Plumb>
<Intersection name="S1" alias="O" n="3" color="2" type="thick" showname="true" first="optische Achse" second="l1" shape="cross">Schnitt zwischen optische Achse und l1</Intersection>
<Point name="Brennpunkt" n="4" mainparameter="true" x="0.5446178457894979" y="0.0">Punkt in 0.54462, 0.0</Point>
<Point name="D" n="5" hidden="true" mainparameter="true" x="0.30913713549361804" y="0.0">Punkt in 0.30914, 0.0</Point>
<Circle name="k1" n="6" hidden="super" through="D" midpoint="optischer Mittelpunkt" acute="true">Kreis um optischer Mittelpunkt durch D</Circle>
<Plumb name="l2" n="7" hidden="super" point="D" line="optische Achse" valid="true">Lot durch D zu optische Achse</Plumb>
<Intersection name="S2" n="8" hidden="super" first="optische Achse" second="k1" awayfrom="D" shape="circle" which="first">Schnitt zwischen optische Achse und k1</Intersection>
<Plumb name="l3" n="9" hidden="super" point="S2" line="optische Achse" valid="true">Lot durch S2 zu optische Achse</Plumb>
<Midpoint name="M1" n="10" hidden="super" first="S2" second="S1" shape="circle">Mitte zwischen S2 und S1</Midpoint>
<Midpoint name="M2" n="11" hidden="super" first="D" second="optischer Mittelpunkt" shape="circle">Mitte zwischen D und optischer Mittelpunkt</Midpoint>
<Circle name="k2" n="12" hidden="super" through="Brennpunkt" midpoint="S1" acute="true">Kreis um S1 durch Brennpunkt</Circle>
<Intersection name="S3" alias="F" n="13" color="2" type="thick" showname="true" first="optische Achse" second="k2" shape="cross" which="first">Schnitt zwischen optische Achse und k2</Intersection>
<Circle name="k3" n="14" color="2" type="thin" through="M1" midpoint="S3" start="S19" end="S6" acute="true">Kreis um S3 durch M1</Circle>
<Intersection name="S4" alias="F&apos;" n="15" color="2" type="thick" showname="true" first="optische Achse" second="k2" awayfrom="Brennpunkt" shape="cross" which="second">Schnitt zwischen optische Achse und k2</Intersection>
<Circle name="k4" n="16" color="2" type="thin" through="M2" midpoint="S4" start="S7" end="S5" acute="true">Kreis um S4 durch M2</Circle>
<Intersection name="S5" n="17" hidden="super" first="l2" second="k4" shape="circle" which="first">Schnitt zwischen l2 und k4</Intersection>
<Intersection name="S6" n="18" hidden="super" first="l3" second="k3" shape="circle" which="second">Schnitt zwischen l3 und k3</Intersection>
<Intersection name="S7" n="19" hidden="super" first="l2" second="k4" shape="circle" which="second">Schnitt zwischen l2 und k4</Intersection>
<Midpoint name="M3" n="20" hidden="super" first="M2" second="S5" shape="circle">Mitte zwischen M2 und S5</Midpoint>
<Circle name="k5" n="21" hidden="super" through="M3" midpoint="M2" acute="true">Kreis um M2 durch M3</Circle>
<Intersection name="S8" n="22" hidden="super" first="k4" second="k5" shape="circle" which="second">Schnitt zwischen k4 und k5</Intersection>
<Midpoint name="M4" n="23" hidden="super" first="S8" second="S5" shape="circle">Mitte zwischen S8 und S5</Midpoint>
<Circle name="k6" n="24" hidden="super" through="M4" midpoint="S8" acute="true">Kreis um S8 durch M4</Circle>
<Intersection name="S9" n="25" hidden="super" first="k4" second="k6" shape="circle" which="second">Schnitt zwischen k4 und k6</Intersection>
<Midpoint name="M5" n="26" hidden="super" first="M2" second="S8" shape="circle">Mitte zwischen M2 und S8</Midpoint>
<Circle name="k7" n="27" hidden="super" through="M5" midpoint="M2" acute="true">Kreis um M2 durch M5</Circle>
<Intersection name="S10" n="28" hidden="super" first="k4" second="k7" shape="circle" which="second">Schnitt zwischen k4 und k7</Intersection>
<Midpoint name="M6" n="29" hidden="super" first="S7" second="M2" shape="circle">Mitte zwischen S7 und M2</Midpoint>
<Circle name="k8" n="30" hidden="super" through="M6" midpoint="S7" acute="true">Kreis um S7 durch M6</Circle>
<Intersection name="S11" n="31" hidden="super" first="k4" second="k8" shape="circle" which="second">Schnitt zwischen k4 und k8</Intersection>
<Midpoint name="M7" n="32" hidden="super" first="S11" second="M2" shape="circle">Mitte zwischen S11 und M2</Midpoint>
<Circle name="k9" n="33" hidden="super" through="M7" midpoint="S11" acute="true">Kreis um S11 durch M7</Circle>
<Intersection name="S12" n="34" hidden="super" first="k4" second="k9" shape="circle" which="second">Schnitt zwischen k4 und k9</Intersection>
<Midpoint name="M8" n="35" hidden="super" first="S7" second="S11" shape="circle">Mitte zwischen S7 und S11</Midpoint>
<Circle name="k10" n="36" hidden="super" through="M8" midpoint="S7" acute="true">Kreis um S7 durch M8</Circle>
<Intersection name="S13" n="37" hidden="super" first="k4" second="k10" shape="circle" which="second">Schnitt zwischen k4 und k10</Intersection>
<Midpoint name="M9" n="38" hidden="super" first="M1" second="S6" shape="circle">Mitte zwischen M1 und S6</Midpoint>
<Circle name="k11" n="39" hidden="super" through="M9" midpoint="M1" acute="true">Kreis um M1 durch M9</Circle>
<Intersection name="S14" n="40" hidden="super" first="k3" second="k11" shape="circle" which="second">Schnitt zwischen k3 und k11</Intersection>
<Midpoint name="M10" n="41" hidden="super" first="M1" second="S14" shape="circle">Mitte zwischen M1 und S14</Midpoint>
<Circle name="k12" n="42" hidden="super" through="M10" midpoint="M1" acute="true">Kreis um M1 durch M10</Circle>
<Intersection name="S15" n="43" hidden="super" first="k3" second="k12" shape="circle" which="second">Schnitt zwischen k3 und k12</Intersection>
<Midpoint name="M11" n="44" hidden="super" first="S14" second="S6" shape="circle">Mitte zwischen S14 und S6</Midpoint>
<Circle name="k13" n="45" hidden="super" through="M11" midpoint="S14" acute="true">Kreis um S14 durch M11</Circle>
<Intersection name="S16" n="46" hidden="super" first="k3" second="k13" shape="circle" which="second">Schnitt zwischen k3 und k13</Intersection>
<Circle name="k14" n="47" hidden="super" through="S5" midpoint="S1" acute="true">Kreis um S1 durch S5</Circle>
<Intersection name="S17" n="48" hidden="super" first="l1" second="k14" shape="circle" which="first">Schnitt zwischen l1 und k14</Intersection>
<Intersection name="S18" n="49" hidden="super" first="l1" second="k14" shape="circle" which="second">Schnitt zwischen l1 und k14</Intersection>
<Line name="g2" n="50" color="2" type="thin" from="S18" to="S17" partial="true">Gerade durch S18 und S17</Line>
<Intersection name="S19" n="51" hidden="super" first="l3" second="k14" shape="circle" which="first">Schnitt zwischen l3 und k14</Intersection>
<Midpoint name="M12" n="52" hidden="super" first="S19" second="M1" shape="circle">Mitte zwischen S19 und M1</Midpoint>
<Circle name="k15" n="53" hidden="super" through="M12" midpoint="S19" acute="true">Kreis um S19 durch M12</Circle>
<Intersection name="S20" n="54" hidden="super" first="k3" second="k15" shape="circle" which="second">Schnitt zwischen k3 und k15</Intersection>
<Midpoint name="M13" n="55" hidden="super" first="S19" second="S20" shape="circle">Mitte zwischen S19 und S20</Midpoint>
<Circle name="k16" n="56" hidden="super" through="M13" midpoint="S19" acute="true">Kreis um S19 durch M13</Circle>
<Intersection name="S21" n="57" hidden="super" first="k3" second="k16" shape="circle" which="second">Schnitt zwischen k3 und k16</Intersection>
<Midpoint name="M14" n="58" hidden="super" first="S20" second="M1" shape="circle">Mitte zwischen S20 und M1</Midpoint>
<Circle name="k17" n="59" hidden="super" through="M14" midpoint="S20" acute="true">Kreis um S20 durch M14</Circle>
<Intersection name="S22" n="60" hidden="super" first="k3" second="k17" shape="circle" which="second">Schnitt zwischen k3 und k17</Intersection>
<Polygon name="A3" n="61" color="2" type="thin" background="true" point1="S5" point2="S19" point3="S21" point4="S20" point5="S22" point6="M1" point7="S15" point8="S14" point9="S16" point10="S6" point11="S7" point12="S13" point13="S11" point14="S12" point15="M2" point16="S10" point17="S8" point18="S9">Vieleck S5, S19, S21, S20, S22, M1, S15, S14, S16, S6, S7, S13, S11, S12, M2, S10, S8, S9</Polygon>
</Objects>
</Macro>
<Macro Name="BiconvexLense">
<Parameter name="g2">optische Achse</Parameter>
<Parameter name="Param1">optischer Mittelpunkt</Parameter>
<Parameter name="P9">F</Parameter>
<Parameter name="D">D</Parameter>
<Objects>
<Line name="g2" n="0" mainparameter="true">???</Line>
<Point name="Param1" n="1" mainparameter="true" x="-0.2814070351758797" y="0.0">Punkt in -0.28141, 0.0</Point>
<Point name="P9" n="2" mainparameter="true" x="-2.4120603015075375" y="0.0">Punkt in -2.41206, 0.0</Point>
<Point name="D" n="3" mainparameter="true" x="-0.6432160804020106" y="0.0">Punkt in -0.64322, 0.0</Point>
<Plumb name="l1" n="4" hidden="super" point="Param1" line="g2" valid="true">Lot durch Param1 zu g2</Plumb>
<Circle name="k1" n="5" hidden="super" through="D" midpoint="Param1" acute="true">Kreis um Param1 durch D</Circle>
<Circle name="k2" n="6" hidden="super" through="P9" midpoint="Param1" acute="true">Kreis um Param1 durch P9</Circle>
<Intersection name="S1" alias="O" n="7" color="2" type="thick" showname="true" first="g2" second="l1" shape="cross">Schnitt zwischen g2 und l1</Intersection>
<Intersection name="S2" n="8" hidden="super" first="g2" second="k1" shape="circle" which="first">Schnitt zwischen g2 und k1</Intersection>
<Intersection name="S3" alias="F&apos;" n="9" color="2" type="thick" showname="true" first="g2" second="k2" awayfrom="P9" shape="cross" which="first">Schnitt zwischen g2 und k2</Intersection>
<Intersection name="S4" alias="F" n="10" color="2" type="thick" showname="true" first="g2" second="k2" shape="cross" which="second">Schnitt zwischen g2 und k2</Intersection>
<Circle name="k3" n="11" color="2" type="thin" background="true" through="S2" midpoint="P9" filled="true" start="S5" end="S6" acute="true" chord="true">Kreis um P9 durch S2</Circle>
<Circle name="k4" n="12" color="2" type="thin" background="true" through="D" midpoint="S3" filled="true" start="S5" end="S6" acute="true" chord="true">Kreis um S3 durch D</Circle>
<Intersection name="S5" n="13" hidden="super" first="l1" second="k4" shape="circle" which="first">Schnitt zwischen l1 und k4</Intersection>
<Intersection name="S6" n="14" hidden="super" first="k3" second="k4" shape="circle" which="first">Schnitt zwischen k3 und k4</Intersection>
<Line name="g3" n="15" color="2" type="thin" from="S6" to="S5" partial="true">Gerade durch S6 und S5</Line>
</Objects>
</Macro>
<Macro Name="LensePointProjection">
<Parameter name="P10">optischer Mittelpunkt</Parameter>
<Parameter name="g4">optisches Lot</Parameter>
<Parameter name="S15">Brennpunkt</Parameter>
<Parameter name="Objektpunkt">Objektpunkt</Parameter>
<Objects>
<Point name="P10" n="0" mainparameter="true" x="-2.6905412820724575" y="0.0">Punkt in -2.69054, 0.0</Point>
<Point name="S15" n="1" mainparameter="true" x="0.4898377761662652" y="0.0">Punkt in 0.48984, 0.0</Point>
<Line name="g4" n="2" mainparameter="true">???</Line>
<Point name="Objektpunkt" n="3" mainparameter="true" x="-8.22881849790575" y="0.9860160010560161">Punkt in -8.22882, 0.98602</Point>
<Plumb name="l1" n="4" color="3" hidden="super" point="P10" line="g4" valid="true">Lot durch P10 zu g4</Plumb>
<Plumb name="l2" n="5" color="3" hidden="super" point="P10" line="l1" valid="true">Lot durch P10 zu l1</Plumb>
<Parallel name="p1" n="6" color="3" hidden="super" point="Objektpunkt" line="l1">Parallele durch Objektpunkt zu l1</Parallel>
<Intersection name="S1" n="7" color="3" hidden="super" first="p1" second="l2" shape="circle">Schnitt zwischen p1 und l2</Intersection>
<Line name="g2" n="8" color="3" hidden="super" from="S1" to="S15">Gerade durch S1 und S15</Line>
<Line name="g3" n="9" color="3" hidden="super" from="Objektpunkt" to="P10">Gerade durch Objektpunkt und P10</Line>
<Intersection name="S2" alias="B&apos;" n="10" type="thick" showname="true" first="g3" second="g2" shape="circle">Bildpunkt </Intersection>
<Intersection name="S3" alias="B" n="11" type="thick" showname="true" first="g3" second="p1" shape="circle">Objektpunkt </Intersection>
</Objects>
</Macro>
<Macro Name="LensePointTraceVisualization">
<Parameter name="P3">optischer Mittelpunkt</Parameter>
<Parameter name="g2">optisches Lot</Parameter>
<Parameter name="P7">Aufhängepunkt</Parameter>
<Parameter name="P6">Objektpunkt</Parameter>
<Parameter name="S8">Bildpunkt</Parameter>
<Objects>
<Point name="P3" n="0" x="0.482412060301508" y="0.0">Punkt in 0.48241, 0.0</Point>
<Line name="g2" n="1">???</Line>
<Point name="P6" n="2" x="-7.718592964824119" y="2.5929648241206014">Punkt in -7.71859, 2.59296</Point>
<Plumb name="l1" n="3" color="3" hidden="super" point="P3" line="g2" valid="true">Lot durch P3 zu g2</Plumb>
<Parallel name="p1" n="4" color="3" hidden="super" point="P6" line="l1">Parallele durch P6 zu l1</Parallel>
<Line name="g3" n="5" color="3" hidden="super" from="P6" to="P3">Gerade durch P6 und P3</Line>
<Point name="S8" n="6" x="7.9169680176583945" y="-2.350631662987839">Punkt in 7.91697, -2.35063</Point>
<Intersection name="S1" alias="B" n="7" type="thick" hidden="super" showname="true" first="g3" second="p1" shape="circle">Objektpunkt </Intersection>
<Point name="P7" n="8" x="0.482412060301508" y="2.3919597989949732">Punkt in 0.48241, 2.39196</Point>
<Circle name="k1" n="9" hidden="super" through="P7" midpoint="P3" acute="true">Kreis um P3 durch P7</Circle>
<Segment name="s1" n="10" color="2" type="thin" from="S1" to="P7">Strecke von S1 nach P7</Segment>
<Segment name="s2" n="11" color="2" type="thin" from="P7" to="S8">Strecke von P7 nach S8</Segment>
<Segment name="s3" n="12" color="2" type="thin" from="S1" to="P3">Strecke von S1 nach P3</Segment>
<Intersection name="S2" n="13" color="2" type="thin" hidden="super" first="g2" second="k1" awayfrom="P7" shape="circle" which="second">Schnitt zwischen g2 und k1</Intersection>
<Segment name="s4" n="14" color="2" type="thin" from="S1" to="S2">Strecke von S1 nach S2</Segment>
<Segment name="s5" n="15" color="2" type="thin" from="S2" to="S8">Strecke von S2 nach S8</Segment>
<Segment name="s6" n="16" color="2" type="thin" from="P3" to="S8">Strecke von P3 nach S8</Segment>
</Objects>
</Macro>
<Macro Name="LenseRayProjection">
<Parameter name="P3">optischer Mittelpunkt</Parameter>
<Parameter name="g2">optisches Lot</Parameter>
<Parameter name="S3">Brennpunkt</Parameter>
<Parameter name="r3">Einfallstrahl</Parameter>
<Objects>
<Point name="P1" n="0" parameter="true" x="-5.784685865942884" y="2.1632812845778133">Punkt in -5.78469, 2.16328</Point>
<Point name="P2" n="1" parameter="true" x="0.8127244605043736" y="1.7808227149286981">Punkt in 0.81272, 1.78082</Point>
<Ray name="r3" n="2" color="5" type="thin" hidden="true" mainparameter="true" from="P1" to="P2" partial="true">Strahl von P1 in Richtung P2</Ray>
<Line name="g1" n="3" hidden="super" from="P1" to="P2">Gerade durch P1 und P2</Line>
<Point name="P3" n="4" mainparameter="true" x="0.8366281211074417" y="0.0">Punkt in 0.83663, 0.0</Point>
<Point name="S3" n="5" mainparameter="true" x="4.229164071474464" y="0.0">Punkt in 4.22916, 0.0</Point>
<Circle name="k1" n="6" color="2" type="thin" hidden="super" through="S3" midpoint="P3" acute="true">Kreis um P3 durch S3</Circle>
<Line name="g2" n="7" mainparameter="true">???</Line>
<Plumb name="l1" n="8" color="2" type="thin" hidden="super" point="P3" line="g2" valid="true">Lot durch P3 zu g2</Plumb>
<Plumb name="l2" n="9" color="3" hidden="super" point="P3" line="g2" valid="true">Lot durch P3 zu g2</Plumb>
<Intersection name="S1" n="10" color="2" type="thin" hidden="super" first="g1" second="g2" shape="circle">Schnitt zwischen g1 und g2</Intersection>
<Intersection name="S2" n="11" color="2" type="thin" hidden="super" first="l1" second="k1" shape="circle" which="first">Schnitt zwischen l1 und k1</Intersection>
<Plumb name="l3" n="12" color="3" hidden="super" point="P3" line="l2" valid="true">Lot durch P3 zu l2</Plumb>
<Segment name="s1" n="13" color="2" type="thin" from="P1" to="S1">Strecke von P1 nach S1</Segment>
<Plumb name="l4" n="14" color="2" type="thin" hidden="super" point="S2" line="l1" valid="true">Lot durch S2 zu l1</Plumb>
<Intersection name="S4" n="15" color="2" type="thin" hidden="super" first="l4" second="g1" shape="circle">Schnitt zwischen l4 und g1</Intersection>
<Circle name="k2" n="16" color="2" type="thin" hidden="super" through="P3" midpoint="S4" acute="true">Kreis um S4 durch P3</Circle>
<Intersection name="S5" n="17" color="2" type="thin" hidden="super" first="g1" second="k2" shape="circle" which="second">Schnitt zwischen g1 und k2</Intersection>
<Parallel name="p1" n="18" color="3" hidden="super" point="S5" line="l2">Parallele durch S5 zu l2</Parallel>
<Line name="g3" n="19" color="3" hidden="super" from="S5" to="P3">Gerade durch S5 und P3</Line>
<Intersection name="S6" n="20" color="3" hidden="super" first="p1" second="l3" shape="circle">Schnitt zwischen p1 und l3</Intersection>
<Line name="g4" n="21" color="3" hidden="super" from="S6" to="S3">Gerade durch S6 und S3</Line>
<Intersection name="S7" alias="B&apos;" n="22" color="2" type="thick" hidden="super" showname="true" first="g3" second="g4" shape="circle">Bildpunkt </Intersection>
<Ray name="r2" n="23" color="2" type="thin" from="S1" to="S7" partial="true">Strahl von S1 in Richtung S7</Ray>
</Objects>
</Macro>
<Macro Name="LensePointConstructionVisualization">
<Parameter name="P3">optischer Mittelpunkt</Parameter>
<Parameter name="g2">optisches Lot</Parameter>
<Parameter name="S3">Brennpunkt</Parameter>
<Parameter name="P6">Objektpunkt</Parameter>
<Parameter name="S8">Bildpunkt</Parameter>
<Objects>
<Point name="P6" n="0" x="-7.220306429000338" y="1.9045690186733184">Punkt in -7.22031, 1.90457</Point>
<Point name="P3" n="1" x="0.48241206030150785" y="0.0">Punkt in 0.48241, 0.0</Point>
<Line name="g1" n="2" color="3" hidden="super" from="P6" to="P3">Gerade durch P6 und P3</Line>
<Point name="S3" n="3" x="4.381909547738694" y="0.0">Punkt in 4.38191, 0.0</Point>
<Line name="g2" n="4">???</Line>
<Plumb name="l1" n="5" color="3" hidden="super" point="P3" line="g2" valid="true">Lot durch P3 zu g2</Plumb>
<Parallel name="p1" n="6" color="3" hidden="super" point="P6" line="l1">Parallele durch P6 zu l1</Parallel>
<Intersection name="S1" alias="B" n="7" type="thick" hidden="super" showname="true" first="g1" second="p1" shape="circle">Objektpunkt </Intersection>
<Point name="S8" n="8" x="8.380120707982503" y="-1.9527821547383226">Punkt in 8.38012, -1.95278</Point>
<Plumb name="l2" n="9" color="2" type="thin" hidden="super" point="P3" line="g2" valid="true">Lot durch P3 zu g2</Plumb>
<Parallel name="p2" n="10" color="2" type="thin" hidden="super" point="P6" line="l2">Parallele durch P6 zu l2</Parallel>
<Parallel name="p3" n="11" color="2" type="thin" hidden="super" point="S8" line="l2">Parallele durch S8 zu l2</Parallel>
<Circle name="k1" n="12" color="2" type="thin" hidden="super" through="S3" midpoint="P3" acute="true">Kreis um P3 durch S3</Circle>
<Intersection name="S2" n="13" color="2" type="thin" hidden="super" first="l2" second="k1" shape="circle" which="first">Schnitt zwischen l2 und k1</Intersection>
<Intersection name="S4" n="14" color="2" type="thin" first="g2" second="p2" shape="dot">Schnitt zwischen g2 und p2</Intersection>
<Intersection name="S5" n="15" color="2" type="thin" first="g2" second="p3" shape="dot">Schnitt zwischen g2 und p3</Intersection>
<Segment name="s1" n="16" color="2" type="thin" from="P6" to="S4">Strecke von P6 nach S4</Segment>
<Segment name="s2" n="17" color="2" type="thin" from="S4" to="S8">Strecke von S4 nach S8</Segment>
<Segment name="s3" n="18" color="2" type="thin" from="S8" to="P3">Strecke von S8 nach P3</Segment>
<Segment name="s4" n="19" color="2" type="thin" from="P3" to="S1">Strecke von P3 nach S1</Segment>
<Segment name="s5" n="20" color="2" type="thin" from="P6" to="S2">Strecke von P6 nach S2</Segment>
<Segment name="s6" n="21" color="2" type="thin" from="S2" to="S5">Strecke von S2 nach S5</Segment>
<Segment name="s7" n="22" color="2" type="thin" from="S5" to="S8">Strecke von S5 nach S8</Segment>
</Objects>
</Macro>
</CaR>
